
QGIS Application - Bug report #2081

Old Symbology: different rotation of symbol and label

2009-11-12 08:19 AM - 6896896 -

Status: Closed

Priority: Low

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 12141

Description

Rotation angle for label of vector feature is in Arithmetic system (rotate left) in degree.

Rotation angle for symbol (point) is in Geographic system(rotate right) in degree.

Is possible unity both to one, rather geographic system (right hand rotating).

Order:

1. add vector point layer (i.e. SHP)

2. "open/properties/symbology" field rotation to numeric column in table 

3. "open/properties/lables/data defined alignment" field angle to same numeric column in table 

4. see on the map, rotation symbol and label is differend

Related issues:

Duplicated by QGIS Application - Bug report # 4294: Symbol and text rotation/... Closed 2011-09-19

History

#1 - 2011-03-03 02:48 PM - Volker Fröhlich

It still is this way with old symbology and old labeling.

New symbology still rotates labels clockwise, rotation in new labeling seems to be disabled.

#2 - 2011-09-30 04:35 AM - Anita Graser

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Subject changed from different rotation of symbol and label to Old Symbology: different rotation of symbol and label

#3 - 2011-10-02 05:25 AM - Giovanni Manghi

are we sure we want to keep open tickets on old symbology and old labelling? Both will be removed in QGIS 2.x, AFAIK

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master
#6 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-07-21 04:53 PM - Daniel Vaz

Is this still valid for new version 2.0.0 ?

Thanks in advance

#8 - 2013-07-21 04:55 PM - Nathan Woodrow

- Resolution set to invalid

- Status changed from Open to Closed

Old symbology is no longer supported in 2.0.
